Bug 504041 - System sees dvd and cd drives - applications do not (problem is intermittent - though almost always occurs)
System sees dvd and cd drives - applications do not (problem is intermittent ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 18:18 EDT by rhbugreport
Modified: 2010-06-28 08:48 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:48:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of dmesg and lshal (229.97 KB, text/plain)
2009-06-03 18:18 EDT, rhbugreport
no flags Details
k3b cmd line output when k3b works (5.56 KB, application/octet-stream)
2009-06-07 15:41 EDT, rhbugreport
no flags Details

  None (edit)
Description rhbugreport 2009-06-03 18:18:22 EDT
Created attachment 346466 [details]
Output of dmesg and lshal

Description of problem:

K3b (k3b-1.0.5-8.fc11.x86_64) and Brasero (brasero-2.26.1-3.fc11.x86_64) don't see my dvd or cd burners although the system sees the drives.

output of k3b executed on the command line:

 kbuildsycoca running...
[lanny@earth ~]$ (K3bDevice::HalConnection) initializing HAL >= 0.5
Mapping udi /org/freedesktop/Hal/devices/storage_model_DVD_DW_8X16X8X16 to device /dev/sr1
Mapping udi /org/freedesktop/Hal/devices/storage_model_DVD_ROM_DDU1621 to device /dev/sr0
/dev/sr1 resolved to /dev/sr1
/dev/sr1 is block device (1)
(K3bDevice::ScsiCommand) failed: 
                           command:    INQUIRY (12)
                           errorcode:  0
                           sense key:  NO SENSE (2)
                           asc:        0
                           ascq:       0
(K3bDevice::Device) Unable to do inquiry. /dev/sr1 is not a cdrom device
/dev/sr0 resolved to /dev/sr0
/dev/sr0 is block device (0)
(K3bDevice::ScsiCommand) failed: 
                           command:    INQUIRY (12)
                           errorcode:  0
                           sense key:  NO SENSE (2)
                           asc:        0
                           ascq:       0
(K3bDevice::Device) Unable to do inquiry. /dev/sr0 is not a cdrom device
/dev/sr1 resolved to /dev/sr1
/dev/sr1 is block device (1)
(K3bDevice::ScsiCommand) failed: 
                           command:    INQUIRY (12)
                           errorcode:  0
                           sense key:  NO SENSE (2)
                           asc:        0
                           ascq:       0
(K3bDevice::Device) Unable to do inquiry. /dev/sr1 is not a cdrom device
/dev/sr0 resolved to /dev/sr0
/dev/sr0 is block device (0)
(K3bDevice::ScsiCommand) failed: 
                           command:    INQUIRY (12)
                           errorcode:  0
                           sense key:  NO SENSE (2)
                           asc:        0
                           ascq:       0
(K3bDevice::Device) Unable to do inquiry. /dev/sr0 is not a cdrom device
Devices:
------------------------------

Brasero gives no output at the cli but the area (box?) from which to select a disc to write to is greyed out and says "No available disc"

output of getfacl:

getfacl /dev/sr1
getfacl: Removing leading '/' from absolute path names
# file: dev/sr1
# owner: root
# group: cdrom
user::rw-
user:lanny:rw-
group::rw-
mask::rw-
other::---


output of lsscsi

[0:0:0:0]    disk    ATA      Maxtor 6B200P0   BAH4  /dev/sda 
[0:0:1:0]    disk    ATA      WDC WD1000BB-32C 22.0  /dev/sdb 
[1:0:0:0]    cd/dvd  SONY     DVD-ROM DDU1621  S1.6  /dev/sr0 
[1:0:1:0]    cd/dvd  ATAPI    DVD DW 8X16X8X16 GCFC  /dev/sr1 
[2:0:0:0]    disk    SMSC     223 U HS-CF      3.60  /dev/sdd 
[2:0:0:1]    disk    SMSC     223 U HS-MS      3.60  /dev/sde 
[2:0:0:2]    disk    SMSC     223 U HS-SM      3.60  /dev/sdf 
[2:0:0:3]    disk    SMSC     223 U HS-SD/MMC  3.60  /dev/sdg 

output of 

Version-Release number of selected component (if applicable):

K3b (k3b-1.0.5-8.fc11.x86_64) and Brasero (brasero-2.26.1-3.fc11.x86_64)

How reproducible:

Almost always - occasionally after a reboot I can write one cd or dvd before the behavior reverts to broken


Steps to Reproduce:
1.execute k3b or brasero
2.try to write a disk
3.put a cd or dvd in the disk drive and try to read them
  
Actual results:
execute k3b or brasero
k3b either hangs or opens and complains that it has no disk to write to - brasero opens but shows no disk to select to write to 
put a disk into the cd or dvd drive and no program sees the disk to read it


Expected results:

k3b and brasero will open and see the disks and be able to writer to them


Additional info:

I suspect this HAL misbehaving (oh HAL first the Jupiter mission now this...) as stated above sometimes after a reboot everything works until I write a cd or dvd  successfully - then after the successful write it is broken again

The system is a F11 perview install fully updated: repos are  
Fedora 11 x86_64,
Fedora 11 x86_64 - test updates,
Fedora 11 x86_64 - Updates,
RPM Fusion for Fedora 11 - Free,
RPM Fusion for Fedora 11 - Free Update,
RPM Fusion for Fedora 11 - Free - Test Updates,
RPM Fusion Fedora 11 Nonfree,
RPM Fusion Fedora 11 Nonfree Updates,
rpm.livna.org for 11 - x86_64

I'm not a developer though I have been using Linux for over ten years, mostly RH, Centos, Gentoo and now Fedora 11 as well.  So if I have not provided enough information ask and I will gladly provide.
Comment 1 rhbugreport 2009-06-07 15:41:36 EDT
Created attachment 346791 [details]
k3b cmd line output when k3b works
Comment 2 rhbugreport 2009-06-07 15:43:57 EDT
the principle difference between works and doesn't work seems to be this line -

(K3bDevice::Device) Unable to do inquiry. /dev/sr0 is not a cdrom device
Comment 3 rhbugreport 2009-06-12 15:44:54 EDT
Here is the relevant data from /var/log/message 

Jun 12 15:21:04 earth kernel: ata9.00: qc timeout (cmd 0xa0)
Jun 12 15:21:04 earth kernel: ata9.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Jun 12 15:21:04 earth kernel: ata9.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
Jun 12 15:21:04 earth kernel:         cdb 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
Jun 12 15:21:04 earth kernel:         res 51/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x5 (timeout)
Jun 12 15:21:04 earth kernel: ata9.00: status: { DRDY ERR }
Jun 12 15:21:04 earth kernel: ata9: soft resetting link
Jun 12 15:21:04 earth kernel: ata9.00: configured for UDMA/33
Jun 12 15:21:04 earth kernel: ata9.01: configured for UDMA/33
Jun 12 15:21:09 earth kernel: ata9.00: qc timeout (cmd 0xa0)
Jun 12 15:21:09 earth kernel: ata9.00: TEST_UNIT_READY failed (err_mask=0x5)
Jun 12 15:21:09 earth kernel: ata9: soft resetting link
Jun 12 15:21:09 earth kernel: ata9.00: configured for UDMA/33
Jun 12 15:21:09 earth kernel: ata9.01: configured for UDMA/33
Jun 12 15:21:11 earth pulseaudio[2356]: alsa-sink.c: Increasing minimal latency to 66.00 ms
Jun 12 15:21:14 earth kernel: ata9.00: qc timeout (cmd 0xa0)
Jun 12 15:21:14 earth kernel: ata9.00: TEST_UNIT_READY failed (err_mask=0x5)
Jun 12 15:21:14 earth kernel: ata9.00: limiting speed to UDMA/33:PIO3
Jun 12 15:21:14 earth kernel: ata9: soft resetting link
Jun 12 15:21:15 earth kernel: ata9.00: configured for UDMA/33
Jun 12 15:21:15 earth kernel: ata9.01: configured for UDMA/33
Jun 12 15:21:20 earth kernel: ata9.00: qc timeout (cmd 0xa0)
Jun 12 15:21:20 earth kernel: ata9.00: TEST_UNIT_READY failed (err_mask=0x5)
Jun 12 15:21:20 earth kernel: ata9.00: disabled
Jun 12 15:21:20 earth kernel: ata9.01: TEST_UNIT_READY failed (err_mask=0x40)
Jun 12 15:21:20 earth kernel: ata9: soft resetting link
Jun 12 15:21:20 earth kernel: ata9.01: configured for UDMA/33
Jun 12 15:21:25 earth kernel: ata9.01: qc timeout (cmd 0xa0)
Jun 12 15:21:25 earth kernel: ata9.01: TEST_UNIT_READY failed (err_mask=0x5)
Jun 12 15:21:25 earth kernel: ata9.01: limiting speed to UDMA/33:PIO3
Jun 12 15:21:25 earth kernel: ata9: soft resetting link
Jun 12 15:21:25 earth kernel: ata9.01: configured for UDMA/33
Jun 12 15:21:30 earth kernel: ata9.01: qc timeout (cmd 0xa0)
Jun 12 15:21:30 earth kernel: ata9.01: TEST_UNIT_READY failed (err_mask=0x5)
Jun 12 15:21:30 earth kernel: ata9.01: disabled
Jun 12 15:21:30 earth kernel: ata9: soft resetting link
Jun 12 15:21:30 earth kernel: ata9: EH complete
Jun 12 15:21:53 earth ntpd[1860]: synchronized to 217.160.254.116, stratum 2
Jun 12 15:21:53 earth ntpd[1860]: kernel time sync status change 0001


..and the relevant data from dmesg

ata9.00: ATAPI: DVD-ROM DDU1621, VER S1.6, max UDMA/33
ata9.01: ATAPI: ATAPI   DVD DW 8X16X8X16, GCFC, max UDMA/33
ata9.00: configured for UDMA/33
ata9.01: configured for UDMA/33
scsi 9:0:0:0: CD-ROM            SONY     DVD-ROM DDU1621  S1.6 PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 0x/40x cd/rw xa/form2 cdda tray
sr 9:0:0:0: Attached scsi CD-ROM sr0
sr 9:0:0:0: Attached scsi generic sg2 type 5
scsi 9:0:1:0: CD-ROM            ATAPI    DVD DW 8X16X8X16 GCFC PQ: 0 ANSI: 5
sr1: scsi3-mmc drive: 48x/48x writer cd/rw xa/form2 cdda tray
sr 9:0:1:0: Attached scsi CD-ROM sr1
sr 9:0:1:0: Attached scsi generic sg3 type 5
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sdb1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev sdb1, type ext3), uses xattr
ata9.00: qc timeout (cmd 0xa0)
ata9.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
ata9.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
         cdb 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
         res 51/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x5 (timeout)
ata9.00: status: { DRDY ERR }
ata9: soft resetting link
ata9.00: configured for UDMA/33
ata9.01: configured for UDMA/33
ata9.00: qc timeout (cmd 0xa0)
ata9.00: TEST_UNIT_READY failed (err_mask=0x5)
ata9: soft resetting link
ata9.00: configured for UDMA/33
ata9.01: configured for UDMA/33
ata9.00: qc timeout (cmd 0xa0)
ata9.00: TEST_UNIT_READY failed (err_mask=0x5)
ata9.00: limiting speed to UDMA/33:PIO3
ata9: soft resetting link
ata9.00: configured for UDMA/33
ata9.01: configured for UDMA/33
ata9.00: qc timeout (cmd 0xa0)
ata9.00: TEST_UNIT_READY failed (err_mask=0x5)
ata9.00: disabled
ata9.01: TEST_UNIT_READY failed (err_mask=0x40)
ata9: soft resetting link
ata9.01: configured for UDMA/33
ata9.01: qc timeout (cmd 0xa0)
ata9.01: TEST_UNIT_READY failed (err_mask=0x5)
ata9.01: limiting speed to UDMA/33:PIO3
ata9: soft resetting link
ata9.01: configured for UDMA/33
ata9.01: qc timeout (cmd 0xa0)
ata9.01: TEST_UNIT_READY failed (err_mask=0x5)
ata9.01: disabled
ata9: soft resetting link
ata9: EH complete

Please not that I have re-installed f11 due to other non-related issues - the errors from the previous install and this one are the same.

Additionally, rmmod pata_via and then modprobe pata_via gives me a temporary fix - until the next time out which come rather quickly.


It is looking like this is in fact a kernel bug that goes back at least to 2007 and just keeps not getting fixed for one reason or another - in one case it was reported as a bug against fedora 7:  Bug 243429 - but got a status of Status:  	 CLOSED WONTFIX  due to eol.

A google search of "qc timeout (cmd 0xa0)" shows this same problem for many people.

Please assign this to the appropriate team and lets bury this bug already.
Comment 4 thorazine74 2009-06-17 04:07:39 EDT
I got the same problem, with a different hardware and module (00:08.0 IDE interface: nVidia Corporation MCP73 IDE (rev a1) & pata_amd).
Same messages in dmesg, but additionally these ones:

pata_amd 0000:00:08.0: version 0.4.1
pata_amd 0000:00:08.0: setting latency timer to 64
scsi8 : pata_amd
scsi9 : pata_amd
ata5: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0xf000 irq 14
ata6: PATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0xf008 irq 15
ata5.00: ATAPI: LITE-ON DVDRW LH-20A1H, LL0D, max UDMA/66
ata5: nv_mode_filter: 0x1f39f&0x1f01f->0x1f01f, BIOS=0x1f000 (0xc5000000) ACPI=0x1f01f (30:600:0x13)
ata5.00: limited to UDMA/33 due to 40-wire cable
ata5.00: configured for UDMA/33
scsi 8:0:0:0: CD-ROM            LITE-ON  DVDRW LH-20A1H   LL0D PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 48x/48x writer dvd-ram cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 8:0:0:0: Attached scsi CD-ROM sr0
sr 8:0:0:0: Attached scsi generic sg2 type 5
ata6: port disabled. ignoring.

Cable is physically 80-wire, a single drive is connected, motherboard on one end and the DVD Writer on the other end.

The workaround suggested by the OP works for me too (rmmod pata_amd|modprobe pata_amd), but only til the disc is ejected and reloaded (same or another disc).

Drive is detected by the system (i.e. shows up in Palimpsest) but no media is ever being detected and mounted when inserted (tried Data CD & DV, Audio CD).
Comment 5 rhbugreport 2009-06-17 16:05:03 EDT
I've added "noapic" to my grub kernel boot line as below, and it seems to be a reliable workaround though not a fix for my problem.  

kernel /vmlinuz-2.6.29.4-167.fc11.x86_64 ro root=/dev/mapper/vg_earth-lv_root rhgb noapic quiet
Comment 6 rhbugreport 2009-06-24 11:10:22 EDT
Due to circumstances unrelated to this bug I have upgraded my motherboard.  The new board is not affected by this bug, therefore I am unable to test any proposed fix.

If there are any questions that I can answer or anything that I can do to help resolve this issue I will be happy to.
Comment 7 Brian Millett 2009-09-15 12:43:15 EDT
Well, I have this same problem  Googleing showed that this bug has been fixed upstream, so I installed(updated) to 

brasero.i686 0:2.27.92-2.fc12

with all of the Dependency Updated:
  brasero-libs.i686 0:2.27.92-2.fc12
  brasero-nautilus.i686 0:2.27.92-2.fc12
  libxml2.i686 0:2.7.4-1.fc12       
  libxml2-devel.i686 0:2.7.4-1.fc12 
  libxml2-python.i686 0:2.7.4-1.fc12           

to test and well, brasero now sees that there is a recordable disc inserted now.
Comment 8 Bug Zapper 2010-04-27 10:38:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 08:48:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.